summaryrefslogtreecommitdiff
path: root/tests/fate-run.sh
diff options
context:
space:
mode:
authorMichael Niedermayer <michaelni@gmx.at>2012-05-08 21:10:56 +0200
committerMichael Niedermayer <michaelni@gmx.at>2012-05-08 22:02:59 +0200
commitb4178a3f13784604281dc3da31383783676b8fec (patch)
tree5cbcf5e4bf9288ee4743e47e90a3dcacb45f3df0 /tests/fate-run.sh
parentb4b58485135dbc37a6cf8a57196157b1d67d13e1 (diff)
parentb2e495afa8e23b46536e25e892157104437f4020 (diff)
Merge remote-tracking branch 'qatar/master'
* qatar/master: rtmp: Support 'rtmp_live', an option which specifies if the media is a live stream. av_samples_fill_array: Mark unmodified function argument as const. lagarith: add YUY2 decoding support Support decoding unaligned rgb24 lagarith. dv: Split profile handling code into a separate file. flvenc: use AVFormatContext, not AVCodecContext for logging. mov: Remove write-only variable in mov_read_chan(). fate: Change the probe-format refs to match the final text format committed. fate: Add avprobe as a make dependency Add probe fate tests to test for regressions in detecting media types. fate: Add oneline comparison method qdm2: clip array indices returned by qdm2_get_vlc(). avplay: properly close/reopen AVAudioResampleContext on channel layout change avcodec: do not needlessly set packet size to 0 in avcodec_encode_audio2() avcodec: for audio encoding, reset output packet when it is not valid avcodec: refactor avcodec_encode_audio2() to merge common branches avcodec: remove fallbacks for AVCodec.encode() in avcodec_encode_audio2() Conflicts: ffplay.c libavcodec/Makefile libavcodec/dvdata.c libavcodec/dvdata.h libavcodec/qdm2.c libavcodec/utils.c libavformat/flvenc.c libavformat/mov.c tests/Makefile Merged-by: Michael Niedermayer <michaelni@gmx.at>
Diffstat (limited to 'tests/fate-run.sh')
-rwxr-xr-xtests/fate-run.sh13
1 files changed, 12 insertions, 1 deletions
diff --git a/tests/fate-run.sh b/tests/fate-run.sh
index 47649f4246..b3f1b68a93 100755
--- a/tests/fate-run.sh
+++ b/tests/fate-run.sh
@@ -60,11 +60,21 @@ stddev(){
do_tiny_psnr "$1" "$2" stddev
}
+oneline(){
+ val=$(cat "$2")
+ test x"$val" = x"$1" || { r=$?; printf -- '-%s\n+%s\n' "$ref" "$val"; }
+ return ${r:-0}
+}
+
run(){
test "${V:-0}" -gt 0 && echo "$target_exec" $target_path/"$@" >&3
$target_exec $target_path/"$@"
}
+probefmt(){
+ run ffprobe -show_format_entry format_name -v 0 "$@"
+}
+
avconv(){
run ffmpeg -nostats -threads $threads -thread_type $thread_type -cpuflags $cpuflags "$@"
}
@@ -151,11 +161,12 @@ if [ $err -gt 128 ]; then
test "${sig}" = "${sig%[!A-Za-z]*}" || unset sig
fi
-if test -e "$ref"; then
+if test -e "$ref" || test $cmp = "oneline" ; then
case $cmp in
diff) diff -u -w "$ref" "$outfile" >$cmpfile ;;
oneoff) oneoff "$ref" "$outfile" >$cmpfile ;;
stddev) stddev "$ref" "$outfile" >$cmpfile ;;
+ oneline)oneline "$ref" "$outfile" >$cmpfile ;;
null) cat "$outfile" >$cmpfile ;;
esac
cmperr=$?